commit:     91bf73c995adfe2555200b128f99c6f9432eb145
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 13:25:21 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 13:46:15 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91bf73c9

net-libs/libpcap: Version bump.

Package-Manager: portage-2.3.0

 net-libs/libpcap/Manifest             |  1 +
 net-libs/libpcap/libpcap-1.8.0.ebuild | 78 +++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/net-libs/libpcap/Manifest b/net-libs/libpcap/Manifest
index 935a2be..d433f59 100644
--- a/net-libs/libpcap/Manifest
+++ b/net-libs/libpcap/Manifest
@@ -1 +1,2 @@
 DIST libpcap-1.7.4.tar.gz 663021 SHA256 
7ad3112187e88328b85e46dce7a9b949632af18ee74d97ffc3f2b41fe7f448b0 SHA512 
83c55aa4173a90e8080a63dc6f0faeb4339d5def998abb9a578f08210c1784a1787ac6975f8bd27b02f8854dd18f03a23c1cd5fa611f46247090b2cc13943cf9
 WHIRLPOOL 
b74cb9f55fd58f4521b0c074ae71448af8bc9e3d66577b6631b5ee59e27cca40f38519b9f2ab097755bd5a86a298bb3edb6d37aad9d0530060eb7ec9dc6221a8
+DIST libpcap-1.8.0.tar.gz 698506 SHA256 
aef925af509cfe8c50224299a2748b0fbf85e4ae6cf1c5ce332f9eb240d8761f SHA512 
1d8d455f64c67627e12e9b4e8fa7d311fa71e63db1864f7287bb8cf598f0b51a178cf92e0ad8c1c6d0229b8b8d23aa493450e324af1ec5f35acee9a9fd0254f7
 WHIRLPOOL 
2ec86289dd18e807a96b54475b6651e12c7920594494f43dc31bdb29713c5208ccacace33954a23031b5dbd3984a91d85deca7bd54daccf7a4460ef2589b1764

diff --git a/net-libs/libpcap/libpcap-1.8.0.ebuild 
b/net-libs/libpcap/libpcap-1.8.0.ebuild
new file mode 100644
index 0000000..93bda60
--- /dev/null
+++ b/net-libs/libpcap/libpcap-1.8.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils multilib-minimal
+
+DESCRIPTION="A system-independent library for user-level network packet 
capture"
+HOMEPAGE="http://www.tcpdump.org/";
+SRC_URI="
+       https://github.com/the-tcpdump-group/${PN}/archive/${P}.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="bluetooth dbus ipv6 netlink static-libs canusb"
+
+RDEPEND="
+       bluetooth? ( net-wireless/bluez:=[${MULTILIB_USEDEP}] )
+       dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
+       netlink? ( dev-libs/libnl:3[${MULTILIB_USEDEP}] )
+       canusb? ( virtual/libusb:1[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       virtual/yacc
+       dbus? ( virtual/pkgconfig[${MULTILIB_USEDEP}] )
+"
+
+S=${WORKDIR}/${PN}-${P}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.2.0-cross-linux.patch
+       "${FILESDIR}"/${PN}-1.6.1-configure.patch
+       "${FILESDIR}"/${PN}-1.6.1-prefix-solaris.patch
+       "${FILESDIR}"/${PN}-1.7.2-libnl.patch
+       )
+src_prepare() {
+       default
+
+       mkdir bluetooth || die
+       cp "${FILESDIR}"/mgmt.h bluetooth/ || die
+
+       eapply_user
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" \
+       econf \
+               $(use_enable bluetooth) \
+               $(use_enable ipv6) \
+               $(use_enable canusb) \
+               $(use_enable dbus) \
+               $(use_with netlink libnl)
+}
+
+multilib_src_compile() {
+       emake all shared
+}
+
+multilib_src_install_all() {
+       dodoc CREDITS CHANGES VERSION TODO README{,.dag,.linux,.macosx,.septel}
+
+       # remove static libraries (--disable-static does not work)
+       if ! use static-libs; then
+               find "${ED}" -name '*.a' -exec rm {} + || die
+       fi
+       prune_libtool_files
+
+       # We need this to build pppd on G/FBSD systems
+       if [[ "${USERLAND}" == "BSD" ]]; then
+               insinto /usr/include
+               doins pcap-int.h
+       fi
+}

Reply via email to